Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class CertStoreType

    java.lang.Object
      org.apache.cxf.configuration.security.CertStoreType

    public class CertStoreType

extends java.lang.Object

A CertStoreType represents a catenated sequence of X.509 certificates, in PEM or DER format. The "url", "file", and "resource" attributes are intended to be mutually exclusive, though this assumption is not encoded in schema. The precedence order observed by the runtime is 1) "file", 2) "resource", and 3) "url".

Java class for CertStoreType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertStoreType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="file" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="resource" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="url" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `file`
`protected java.lang.String` | `resource`
`protected java.lang.String` | `url`

Constructor Summary
`CertStoreType()`

Method Summary
`java.lang.String` | `getFile()` Gets the value of the file property.
`java.lang.String` | `getResource()` Gets the value of the resource property.
`java.lang.String` | `getUrl()` Gets the value of the url property.
`boolean` | `isSetFile()`
`boolean` | `isSetResource()`
`boolean` | `isSetUrl()`
`void` | `setFile(java.lang.String value)` Sets the value of the file property.
`void` | `setResource(java.lang.String value)` Sets the value of the resource property.
`void` | `setUrl(java.lang.String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected java.lang.String file

### resource

    protected java.lang.String resource

### url

    protected java.lang.String url

Constructor Detail

### CertStoreType

    public CertStoreType()

Method Detail

### getFile

    public java.lang.String getFile()

  Gets the value of the file property.

  Returns:
    possible object is `String`

### setFile

    public void setFile(java.lang.String value)

  Sets the value of the file property.

  Parameters:
    `value` - allowed object is `String`

### isSetFile

    public boolean isSetFile()

### getResource

    public java.lang.String getResource()

  Gets the value of the resource property.

  Returns:
    possible object is `String`

### setResource

    public void setResource(java.lang.String value)

  Sets the value of the resource property.

  Parameters:
    `value` - allowed object is `String`

### isSetResource

    public boolean isSetResource()

### getUrl

    public java.lang.String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    public void setUrl(java.lang.String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### isSetUrl

    public boolean isSetUrl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF